footer {
    position: relative;
    overflow: hidden;
}
footer img.logo-bg {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: auto;
    opacity: 0.025;
    z-index: -1;
    pointer-events: none;
}
footer .content {
    padding: 3rem 1rem;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 5rem;
}
footer .content > div {
    width: 100%;
}
footer a {
    color: var(--azul);
    transition: all .3s ease;
}
footer .left a:hover {
    text-decoration: underline;
}
footer .center {
    display: grid;
    gap: 1rem;
}
footer a.logo img {
    width: 100%;
    height: auto;
}
footer .sociais ul {
    display: grid;
    gap: 10px;
}
footer .sociais a {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 0.8rem;
    font-weight: 600;
    text-transform: uppercase;
    width: 100%;
    max-width: max-content;
}
footer .sociais a.local {
    align-items: flex-start;
}
footer .sociais .texto p {
    font-size: 0.8rem;
    font-weight: 600;
    text-transform: uppercase;
}
footer .sociais .texto span {
    text-transform: none;
    font-size: 0.7rem;
    font-weight: 600;
}
footer .sociais svg {
    min-width: 20px;
    min-height: 20px;
    width: 20px;
    height: 20px;
    object-fit: contain;
}
footer .sociais a:hover {
    text-decoration: underline;
}
footer .right ul {
    display: grid;
    gap: 1rem;
}
footer .right ul a {
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 600;
}
footer .right ul a:hover,
footer .right ul a.active {
    text-decoration: underline;
}
.by-engenho {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1rem;
    background: var(--azul);
    position: relative;
    z-index: 1;
}
.by-engenho a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px 5px;
}
@media (max-width: 1200px) {
    footer .content {
        gap: 3rem;
    }
}
@media (max-width: 950px) {
    footer .content {
        flex-direction: column;
        gap: 2rem;
    }
    footer .center a.logo {
        display: flex;
        align-items: center;
        justify-content: center;
        max-width: max-content;
    }
    footer a.logo img {
        max-width: 250px;
    }
    footer img.logo-bg {
        display: none;
    }
}
@media (max-width: 600px) {
    footer a.logo img {
        max-width: 200px;
    }
}
@media (max-width: 400px) {
    .by-engenho img {
        width: 220px;
        height: auto;
    }
}
@media (max-width: 370px) {
    footer .sociais a {
        font-size: 0.7rem;
        padding: 5px 0;
    }
    footer .sociais ul {
        gap: 0.5rem;
    }
}